List Webhook Events
curl --request GET \
--url https://api.example.com/api/v1/webhooks/subscriptions/{webhook_id}/eventsimport requests
url = "https://api.example.com/api/v1/webhooks/subscriptions/{webhook_id}/events"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/webhooks/subscriptions/{webhook_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_type": "<string>",
"status": "<string>",
"retry_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"response_code": 123,
"error_message": "<string>",
"delivered_at": "2023-11-07T05:31:56Z"
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}webhooks
List Webhook Events
List delivery events for a webhook.
GET
/
api
/
v1
/
webhooks
/
subscriptions
/
{webhook_id}
/
events
List Webhook Events
curl --request GET \
--url https://api.example.com/api/v1/webhooks/subscriptions/{webhook_id}/eventsimport requests
url = "https://api.example.com/api/v1/webhooks/subscriptions/{webhook_id}/events"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/webhooks/subscriptions/{webhook_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_type": "<string>",
"status": "<string>",
"retry_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"response_code": 123,
"error_message": "<string>",
"delivered_at": "2023-11-07T05:31:56Z"
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Headers
Path Parameters
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0